package com.ygtx.gxt.mapper;

import java.util.List;
import com.ygtx.gxt.domain.GxtUserScore;

/**
 * 用户月度评分统计表Mapper接口
 * 
 * @author ruoyi
 * @date 2025-11-03
 */
public interface GxtUserScoreMapper 
{
    /**
     * 查询用户月度评分统计表
     * 
     * @param id 用户月度评分统计表主键
     * @return 用户月度评分统计表
     */
    public GxtUserScore selectGxtUserScoreById(Long id);

    /**
     * 查询用户月度评分统计表列表
     * 
     * @param gxtUserScore 用户月度评分统计表
     * @return 用户月度评分统计表集合
     */
    public List<GxtUserScore> selectGxtUserScoreList(GxtUserScore gxtUserScore);

    public List<GxtUserScore> selectUserAllScore(GxtUserScore gxtUserScore);

    /**
     * 新增用户月度评分统计表
     * 
     * @param gxtUserScore 用户月度评分统计表
     * @return 结果
     */
    public int insertGxtUserScore(GxtUserScore gxtUserScore);

    /**
     * 修改用户月度评分统计表
     * 
     * @param gxtUserScore 用户月度评分统计表
     * @return 结果
     */
    public int updateGxtUserScore(GxtUserScore gxtUserScore);

    /**
     * 删除用户月度评分统计表
     * 
     * @param id 用户月度评分统计表主键
     * @return 结果
     */
    public int deleteGxtUserScoreById(Long id);

    /**
     * 批量删除用户月度评分统计表
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGxtUserScoreByIds(Long[] ids);
}